Skip to main content
PUT
/
v1
/
organizations
/
{id}
/
member-permissions
Set default member permissions for a resource type (admin only)
curl --request PUT \
  --url http://0.0.0.0:3000/v1/organizations/{id}/member-permissions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resource_type": "automations",
  "can_view": true,
  "can_create": false,
  "can_edit": false,
  "can_delete": false,
  "can_execute": true
}
'
{
  "resource_type": "automations",
  "can_view": true,
  "can_create": true,
  "can_edit": true,
  "can_delete": true,
  "can_execute": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID da organização

Body

application/json
resource_type
enum<string>
required
Available options:
automations,
dashboards,
scripts,
config_entries,
tags
can_view
boolean
default:true
can_create
boolean
default:false
can_edit
boolean
default:false
can_delete
boolean
default:false
can_execute
boolean
default:false

Response

Permissions updated

resource_type
enum<string>
Available options:
automations,
dashboards,
scripts,
config_entries,
tags
can_view
boolean
can_create
boolean
can_edit
boolean
can_delete
boolean
can_execute
boolean